<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: Discover API Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindexHL" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>Discover API Reference </h1>
<p>
This is the Discover application programming interface (API) reference. If you have not already read <a href="http://hackers.progeny.com/discover/doc/guide.html">The Discover Hardware Detection System</a>, you should do so now. The following list describes the contents of the links at the top of the page:<p>
<ul>
<li>Main page -- This page</li></ul>
<p>
<ul>
<li>Modules -- List of top-level modules; you probably want to start here, where navigation is fastest</li></ul>
<p>
<ul>
<li>Data Structures -- List of data structures used by Discover</li></ul>
<p>
<ul>
<li>File List -- List of files comprising Discover's external interface, with links to documentation and source code</li></ul>
<p>
<ul>
<li>Data Fields -- List of fields used in Discover's structs and unions</li></ul>
<p>
<ul>
<li>Globals -- List of global symbols, with links to file summaries</li></ul>
<p>
The Discover library was written by Eric Gillespie, John R. Daily, and Josh Bressers, with design input from Branden Robinson. <hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
